%global srcname matrix-common
%global releasename matrix-python-common
%global pymodulename matrix_common

Name:           python-%{srcname}
Version:        1.0.0
Release:        1%{?dist}
Summary:        Common utilities for Synapse, Sydent and Sygnal

License:        ASL 2.0
URL:            https://github.com/matrix-org/matrix-python-common
Source0:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
Common utilities for Synapse, Sydent and Sygnal.}

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description


%prep
%autosetup -p1 -n %{releasename}-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files %{pymodulename}


%check
%tox


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md
%license LICENSE


%changelog
* Sat Jan 08 2022 Kai A. Hiller <V02460@gmail.com> - 1.0.0-1
- Initial package
